Name:           perl-Math-NumSeq
Version:        71
Release:        2%{?dist}
Summary:        Number sequences
License:        GPLv3+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Math-NumSeq/
Source0:        http://www.cpan.org/authors/id/K/KR/KRYDE/Math-NumSeq-%{version}.tar.gz
BuildArch:      noarch

%global with_maximum_interoperation 0

BuildRequires:  perl >= 0:5.004
BuildRequires:  perl(constant::defer) >= 1
BuildRequires:  perl(Carp)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Devel::FindRef)
BuildRequires:  perl(Devel::StackTrace)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(ExtUtils::Manifest)
BuildRequires:  perl(File::HomeDir)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Math::BigInt)
BuildRequires:  perl(Math::Factor::XS) >= 0.40
BuildRequires:  perl(Math::Libm)
BuildRequires:  perl(Math::Prime::XS) >= 0.23
BuildRequires:  perl(Math::Trig)
BuildRequires:  perl(Module::Load)
BuildRequires:  perl(Module::Pluggable)
BuildRequires:  perl(Module::Pluggable)
BuildRequires:  perl(Module::Util)
BuildRequires:  perl(Parse::CPAN::Meta)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(SDBM_File)
BuildRequires:  perl(Test)
BuildRequires:  perl(Test::ConsistentVersion)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Synopsis)
BuildRequires:  perl(Test::YAML::Meta)
BuildRequires:  perl(YAML)
BuildRequires:  perl(YAML::Syck)
BuildRequires:  perl(YAML::Tiny)
BuildRequires:  perl(YAML::XS)
Requires:       perl(File::HomeDir)
Requires:       perl(File::Temp)
Requires:       perl(Math::Trig)
Requires:       perl(Module::Load)
Requires:       perl(SDBM_File)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%if 0%{with_maximum_interoperation}
BuildRequires:  perl(Language::Expr)
BuildRequires:  perl(Language::Expr::Compiler::Perl)
BuildRequires:  perl(Math::Expression::Evaluator)
BuildRequires:  perl(Math::Symbolic)
Requires:       perl(Math::Expression::Evaluator)
Requires:       perl(Math::Symbolic)
Requires:       perl(Language::Expr)
Requires:       perl(Language::Expr::Compiler::Perl)
%endif

%description
This is a base class for some number sequences. Sequence objects can
iterate through values and some sequences have random access and/or
predicate test.

%prep
%setup -q -n Math-NumSeq-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;

%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes COPYING
%{perl_vendorlib}/Math/*
%{_mandir}/man3/*

%changelog
* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 71-2
- Perl 5.20 rebuild

* Sun Jun 29 2014 Miro Hrončok <mhroncok@redhat.com> - 71-1
- New version 71 (#1114326)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 70-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 15 2014 Miro Hrončok <mhroncok@redhat.com> - 70-1
- New version 70 (#1087328)

* Mon Feb 24 2014 Miro Hrončok <mhroncok@redhat.com> - 69-1
- New version 69 (#1066371)

* Thu Jan 30 2014 Miro Hrončok <mhroncok@redhat.com> - 68-1
- New version 68 (#1059636)

* Tue Nov 26 2013 Miro Hrončok <mhroncok@redhat.com> - 67-1
- New version 67 (#1030911)

* Wed Oct 23 2013 Miro Hrončok <mhroncok@redhat.com> - 66-1
- New version 66 (#1022678)

* Sat Oct 12 2013 Miro Hrončok <mhroncok@redhat.com> - 65-1
- New version 65 (#1016246)

* Tue Sep 17 2013 Miro Hrončok <mhroncok@redhat.com> - 64-1
- New version 64 (#1008403)

* Mon Sep 02 2013 Miro Hrončok <mhroncok@redhat.com> - 63-1
- New version 63
- %%{__perl} to perl

* Fri Aug 16 2013 Miro Hrončok <mhroncok@redhat.com> - 62-1
- New version 62
- Language::Expr dependency conditional 

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 55-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 55-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Dec 30 2012 Miro Hrončok <miro@hroncok.cz> - 55-1
- New release
- Removed shared libs filter, noarch
- Removed deleting empty directories
- PERL_INSTALL_ROOT changed to DESTDIR
- Added some of previously removed BRs
- Sort (B)Rs lexicographically 

* Fri Nov 16 2012 Miro Hrončok <miro@hroncok.cz> - 52-2
- Removed BRs provided by perl package

* Tue Oct 09 2012 Miro Hrončok <miro@hroncok.cz> 52-1
- New release

* Sun Sep 23 2012 Miro Hrončok <miro@hroncok.cz> 51-1
- Specfile autogenerated by cpanspec 1.78 and revised.
